<template>
  <div class="flex flex-col">
    <AppFlexCenterLayout>
      <AppInfoCard
        class="w-4/5"
        :alert-type="alertType"
        :text-root="textRoot"
      />
    </AppFlexCenterLayout>
    <div class="justify-center card-actions">
      <AppButton
        class="w-3/5"
        :display-text="buttonText"
        v-on="$listeners"
      />
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { AlertType } from '~/utility/constant'

export default Vue.extend({
  name: 'RegistrationFeedback',
  props: {
    buttonText: { type: String, default: '' },
    success: { type: Boolean, default: false },
    textRoot: { type: String, default: '' }
  },
  computed: {
    alertType() {
      return this.success ? AlertType.INFO : AlertType.ERROR
    }
  }
})
</script>
